@echo off
set WADROOT=D:\Hammer
echo ###################################################
echo #                 Batch  Compiler                 #
echo ###################################################
echo ###################################################
echo #  Please report bugs to: ryansgregg@hotmail.com  #
echo ###################################################
echo.
echo Written At: 12/30/2007 5:58 PM
echo BC Version: 3.1.2.0
echo.
hlcsg.exe -wadautodetect -cliptype Simple -wadinclude Megawad2.wad -wadinclude XFRP.wad -wadinclude embeded.wad -wadinclude cerb.wad -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Cerb\b1SRC\hrp_cerb_b1"
if ERRORLEVEL 1 goto failed
hlbsp.exe -maxnodesize 8192.0 -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Cerb\b1SRC\hrp_cerb_b1"
if ERRORLEVEL 1 goto failed
hlvis.exe -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Cerb\b1SRC\hrp_cerb_b1"
if ERRORLEVEL 1 goto failed
hlrad.exe -nomatrix -chart -estimate -texdata 15000 -lightdata 15000  "D:\Hammer\Cerb\b1SRC\hrp_cerb_b1"
if ERRORLEVEL 1 goto failed
if ERRORLEVEL 1 goto failed
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.wic" goto nodelwic
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.wic"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.wic deleted.
:nodelwic
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.lin" goto nodellin
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.lin"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.lin deleted.
:nodellin
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p0" goto nodelp0
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p0"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p0 deleted.
:nodelp0
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p1" goto nodelp1
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p1"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p1 deleted.
:nodelp1
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p2" goto nodelp2
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p2"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p2 deleted.
:nodelp2
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p3" goto nodelp3
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p3"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.p3 deleted.
:nodelp3
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.prt" goto nodelprt
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.prt"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.prt deleted.
:nodelprt
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.err" goto nodelerr
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.err"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.err deleted.
:nodelerr
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.ent.bak" goto nodelentbac
del "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.ent.bak"
echo D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.ent.bak deleted.
:nodelentbac
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.bsp" goto nocopybsp
copy "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.bsp" "C:\Steam\SteamApps\_Funjob_\half-life\ts\maps"
echo hrp_cerb_b1.bsp copied to C:\Steam\SteamApps\_Funjob_\half-life\ts\maps.
:nocopybsp
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.res" goto nocopyres
copy "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.res" "C:\Steam\SteamApps\_Funjob_\half-life\ts\maps"
echo hrp_cerb_b1.res copied to C:\Steam\SteamApps\_Funjob_\half-life\ts\maps.
:nocopyres
if not exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.pts" goto nocopypts
copy "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.pts" "C:\Steam\SteamApps\_Funjob_\half-life\ts\maps"
echo hrp_cerb_b1.pts copied to C:\Steam\SteamApps\_Funjob_\half-life\ts\maps.
:nocopypts

goto succeeded
:failed
echo.
echo There was a problem compiling your map, check your hrp_cerb_b1.log file for errors.
:succeeded
echo.
if exist "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.log" "D:\WINDOWS\system32\notepad.exe" "D:\Hammer\Cerb\B1SRC\hrp_cerb_b1.log"
